<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jeeplus.sys.mapper.PostMapper">

    <select id="getPostDTOByName" resultType="com.jeeplus.sys.service.dto.PostDTO">
        SELECT
            id,
            NAME,
            CODE,
            type,
            STATUS,
            sort,
            remarks,
            create_time,
            create_by_id,
            update_time,
            update_by_id,
            del_flag,
            tenant_id
        FROM
            sys_post
        WHERE
            del_flag = 0
            and NAME = #{name}
        limit 1
    </select>
</mapper>
